Bug 200988 - mod_admserv: use setresuid() in lieu of seteuid() on HP-UX
mod_admserv: use setresuid() in lieu of seteuid() on HP-UX
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Admin (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Viktor Ashirov
:
Depends On:
Blocks: 152373 fds103trackingbug 240316
  Show dependency treegraph
 
Reported: 2006-08-01 20:23 EDT by Ulf Weltman
Modified: 2015-12-07 11:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:47:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use HP/UX-specific setresuid() (1.07 KB, patch)
2006-08-08 15:20 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Comment 1 Rob Crittenden 2006-08-08 15:20:22 EDT
Created attachment 133818 [details]
Patch to use HP/UX-specific setresuid()
Comment 2 Rob Crittenden 2006-08-08 15:56:15 EDT
Reviewed by Rich and Ulf.

Checking in mod_admserv.c;
/cvs/dirsec/mod_admserv/mod_admserv.c,v  <--  mod_admserv.c
new revision: 1.27; previous revision: 1.26
done
Comment 3 Nathan Kinder 2007-12-21 17:48:41 EST
Verified that mod_admserv is using setresuid() instead of seteuid() on HP-UX.

Marking as VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.